using System;
using System.Collections.Generic;
using System.IO;
using System.IO.Compression;
using System.Text;
using NUnit.Framework;
using StarEngine.Core;

namespace StarEngine.Tests.Core
{
    [TestFixture]
    public class FileSystemTest
    {
        [Test]
        public void TestLoad()
        {
            using (Stream s = FileSystem.Load("Resources/Images/Ruby.png"))
            {
                Assert.IsTrue(s.CanRead);
            }
            using (Stream s = FileSystem.Load("Resources/Images/RubyCompressed.pngx"))
            {
                Assert.IsTrue(s.CanRead);
            }
            using (Stream s = FileSystem.Load("Resources/Images/RubyPng"))
            {
                Assert.IsTrue(s.CanRead);
            }
        }
    }
}
